/* Reset default margin and padding */
@keyframes bounce {
    0% {
        transform: translateX(0);
    }
    50% {
        transform: translateX(40vw);
    }
    70%,
    99% {
        transform: translateX(40vw) scale(5);
    }
    85%,
    100% {
        opacity: 0;
    }
}
@keyframes rotateRacket {
    0% {
        transform: translateY(-50%) rotate(0deg) translateX(10%);
    }
    20% {
        transform: translateY(-50%) rotate(-30deg);
    }
    40% {
        transform: translateY(-50%) rotate(-60deg);
    }
    60% {
        transform: translateY(-50%) rotate(-90deg);
    }
    80% {
        transform: translateY(-50%) rotate(-110deg);
    }
    100% {
        transform: translateY(-50%) rotate(0deg);
    }
}

.tennis-court {
    position: relative;
    height: 100vh;
}

.tennis-racket {
    position: absolute;
    top: 43%;
    left: 0;
    width: 200px;
    animation: rotateRacket 0.5s linear forwards;
}

.tennis-ball {
    position: absolute;
    top: 37%;
    left: 10%;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    transform: translateY(-50%);
    animation: bounce 1s ease-in-out forwards;
    animation-delay: 0.5s;
}

.container {
    position: relative;
    z-index: 1;
    display: flex;
    justify-content: center;
    align-items: start;
    height: 100%;
    opacity: 0;
    transition: opacity 0.5s ease-in-out;
}
.container.show {
    opacity: 1;
}
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: Arial, sans-serif;
    height: 100vh;
    overflow: hidden;
    margin: 0;
    position: relative;
}

.background-image {
    position: fixed; /* Keeps the image fixed in the viewport */
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    object-fit: cover;
}

.card {
    max-width: 500px;
    margin: auto;
    padding: 40px;
    box-shadow: 0 4px 8px rgba(77, 74, 74, 0.634);
    border-radius: 10px;
    background-color: rgba(37, 35, 35, 0.323);
}

.login-form {
    margin-top: 20px;
}

.form-group {
    padding-bottom: 10px;
    font-family: "Montserrat", sans-serif;
}
.register {
    font-size: 13px;
    color: rgb(255, 255, 255);
}
.register a {
    color: rgb(255, 255, 255);
}

.titullilogin {
    font-family: "Montserrat", sans-serif;
}

.logoName {
    max-width: 200px;
    height: auto;
    padding-top: 10px;
}

@media (max-width: 768px) {
    .logo {
        top: 70px;
        left: 50%;
        transform: translateX(-50%);
        max-width: 160px;
    }
}

@media (max-width: 390px) {
    .logo {
        top: 30px;
        max-width: 140px;
    }
}
